Delete an equipment item

DELETE https://api.expirationreminder.com/v1/equipment/{id}

Path Parameters

id string Required
DELETE /v1/equipment/{id}
$ curl https://api.expirationreminder.com/v1/equipment/{id} \
  -H "Authorization: Bearer <token>"

Responses

Property Type Description
id string (uuid) -
name string -
equipment_number string -
brand string -
model string -
location_id string (uuid) -
folder_id string (uuid) -
type_id string (uuid) -
assigned_to_contact_id string (uuid) -
vendor_company_id string (uuid) -
purchase_price number (double) -
purchase_date string -
purchase_comments string -
in_service_date string -
estimated_life integer (int32) -
estimated_resale_value number (double) -
out_of_service_date string -
assigned_to UserModel -
team_id string (uuid) -
is_archived boolean -
modified string -
custom_fields CustomFieldModel[] -

Example Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "equipment_number": "string",
  "brand": "string",
  "model": "string",
  "location_id": "00000000-0000-0000-0000-000000000000",
  "folder_id": "00000000-0000-0000-0000-000000000000",
  "type_id": "00000000-0000-0000-0000-000000000000",
  "assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
  "vendor_company_id": "00000000-0000-0000-0000-000000000000",
  "purchase_price": 0.0,
  "purchase_date": "string",
  "purchase_comments": "string",
  "in_service_date": "string",
  "estimated_life": 0,
  "estimated_resale_value": 0.0,
  "out_of_service_date": "string",
  "assigned_to": {
    "name": "string",
    "email": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "team_id": "00000000-0000-0000-0000-000000000000"
  },
  "team_id": "00000000-0000-0000-0000-000000000000",
  "is_archived": false,
  "modified": "string",
  "custom_fields": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "value": "string"
  }
  ]
}

Not Found

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.